# template source: https://github.com/BlackArch/blackarch-pkgbuilds/blob/581198db183f275d3d1f5b0135c94fb60df1b96a/PKGBUILD-generic
# Maintainer: Deron Parker <WkdWeWIyNHJaR1YyUUhCaGNtdGxjbk11WTJNPQo=> # base64 encoded twice

pkgname=NAME
pkgver=VERSION
pkgrel=1
pkgdesc=''
arch=(x86_64 aarch64)
url=''
license=('WHATEVER' OR 'custom:unknown')
depends=()
makedepends=()
provides=($pkgname)
conflicts=($pkgname)
source=("$pkgname-$pkgver::<url>")
sha512sums=()

pkgver() {
	cd "$pkgname-$pkgver"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short=7 HEAD)"
}

prepare() {
	cd "$pkgname-$pkgver"
}

build() {
	cd "$pkgname-$pkgver"
}

package() {
	cd "$pkgname-$pkgver"

	# Only install license if required according to
	# https://wiki.archlinux.org/index.php/PKGBUILD#license
	# install -Dm 644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}
